Package org.eclipse.emf.spi.cdo

## Interface InternalCDOSessionConfiguration

- All Superinterfaces:
    `CDOSessionConfiguration`, `org.eclipse.net4j.util.event.INotifier`

      public interface InternalCDOSessionConfiguration
      extends CDOSessionConfiguration

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

      `CDOSessionConfiguration.SessionOpenedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDOSession` | `createSession()` |
    `InternalCDOSession` | `getSession()` |
    `boolean` | `isMainBranchLocal()` |
    `void` | `setMainBranchLocal​(boolean local)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

      `getAuthenticator, getBranchManager, getCredentialsProvider, getExceptionHandler, getFetchRuleManager, getIDGenerator, getLockNotificationMode, getPassiveUpdateMode, getUserID, isActivateOnOpen, isPassiveUpdateEnabled, isSessionOpen, openSession, setActivateOnOpen, setBranchManager, setCredentialsProvider, setExceptionHandler, setFetchRuleManager, setIDGenerator, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode, setUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getSession

          InternalCDOSession getSession()

    - #### createSession

          InternalCDOSession createSession()

    - #### isMainBranchLocal

          boolean isMainBranchLocal()

      Since:
        4.0

    - #### setMainBranchLocal

          void setMainBranchLocal​(boolean local)

      Since:
        4.0